commit:     b6a4255e399509b3af74cfa28bd18b9516e2db37
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 10 01:10:46 2024 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sat Feb 10 22:36:29 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6a4255e

sci-libs/givaro: add 4.2.0

Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/givaro/Manifest                           |  1 +
 .../givaro-4.2.0-configure.ac-fix-a-bashism.patch  | 32 +++++++++++++
 sci-libs/givaro/files/givaro-4.2.0-cstdint.patch   | 46 +++++++++++++++++++
 sci-libs/givaro/givaro-4.2.0.ebuild                | 53 ++++++++++++++++++++++
 4 files changed, 132 insertions(+)

diff --git a/sci-libs/givaro/Manifest b/sci-libs/givaro/Manifest
index 6682189b6b2d..20cac6206f66 100644
--- a/sci-libs/givaro/Manifest
+++ b/sci-libs/givaro/Manifest
@@ -1 +1,2 @@
 DIST givaro-4.1.1.tar.gz 1008358 BLAKE2B 
246fd1a263174f58d96dd66fa79e6113368b6c318c33d68858a339bd9cb778dfda84636c683ee9d02f2ac72ccff8ac22d395b92741448a8ed2ce08c041ac8ba9
 SHA512 
7ad15ac24f55ad65c9c5d0d48ff4388d0494e75dc7b66d1e139195cd086ff2371259bdb5df940fead1db2fd378bb76289f2327a8d6f41575d99d424a74cf644c
+DIST givaro-4.2.0.tar.gz 969595 BLAKE2B 
07c9f08269ee60c06b1589e56ccf61870df6c7cab93fb8ebf27791d9231b153a2da9aed296105fd6dcd52aaa7d27ea03eacd6f2066d29de267455c9ca3747995
 SHA512 
1a3280563181710d364b77e1efe8c8f52ce3119a08b35f329cfd98136a742431b7e9d102289448d337797f815439682d0cfce1567a5a88d5851b244673a84486

diff --git 
a/sci-libs/givaro/files/givaro-4.2.0-configure.ac-fix-a-bashism.patch 
b/sci-libs/givaro/files/givaro-4.2.0-configure.ac-fix-a-bashism.patch
new file mode 100644
index 000000000000..f8d942191040
--- /dev/null
+++ b/sci-libs/givaro/files/givaro-4.2.0-configure.ac-fix-a-bashism.patch
@@ -0,0 +1,32 @@
+From 1132161483e756902c86c190855e260164c025fd Mon Sep 17 00:00:00 2001
+From: Michael Orlitzky <[email protected]>
+Date: Fri, 9 Feb 2024 16:41:03 -0500
+Subject: [PATCH] configure.ac: fix a bashism
+
+There's one instance of VAR+=" value" in the configure script, but
+that only works in bash. With dash, for example, it results in
+
+  checking whether gmp version is at least 40000... yes
+  ./configure: 17953: REQUIRED_FLAGS+= : not found
+
+We change it to a VAR="${VAR} value" instead.
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index b03e5e4d..a94286ac 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -121,7 +121,7 @@ AS_ECHO([---------------------------------------])
+ 
+ # Look for GMP and add flags if necessary
+ GIV_CHECK_GMP(40000)
+-REQUIRED_FLAGS+=" ${GMP_CFLAGS}"
++REQUIRED_FLAGS="${REQUIRED_FLAGS} ${GMP_CFLAGS}"
+ 
+ GIV_DOC
+ 
+-- 
+2.43.0
+

diff --git a/sci-libs/givaro/files/givaro-4.2.0-cstdint.patch 
b/sci-libs/givaro/files/givaro-4.2.0-cstdint.patch
new file mode 100644
index 000000000000..0fc532220da7
--- /dev/null
+++ b/sci-libs/givaro/files/givaro-4.2.0-cstdint.patch
@@ -0,0 +1,46 @@
+From a6b370873e406f9921a50359ed8ebf4714776411 Mon Sep 17 00:00:00 2001
+From: Jean-Guillaume Dumas <[email protected]>
+Date: Wed, 11 Oct 2023 14:19:52 +0200
+Subject: [PATCH] cstdint required for uint64_t
+
+---
+ src/kernel/system/givpower.h | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/kernel/system/givpower.h b/src/kernel/system/givpower.h
+index 5644264d..080e114d 100644
+--- a/src/kernel/system/givpower.h
++++ b/src/kernel/system/givpower.h
+@@ -16,6 +16,8 @@
+ #ifndef __GIVARO_power_H
+ #define __GIVARO_power_H
+ 
++#include <cstdint>
++
+ namespace Givaro {
+ 
+     // -------------------------------------------------------------
+
+From c7744bb133496cd7ac04688f345646d505e1bf52 Mon Sep 17 00:00:00 2001
+From: "Benjamin A. Beasley" <[email protected]>
+Date: Thu, 19 Jan 2023 09:12:22 -0500
+Subject: [PATCH] Add missing #include <cstdint> for (u)int64_t
+
+Fixes failure to compile on GCC 13.
+---
+ src/library/poly1/givdegree.h | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/library/poly1/givdegree.h b/src/library/poly1/givdegree.h
+index 3753a425..eb85a0dd 100644
+--- a/src/library/poly1/givdegree.h
++++ b/src/library/poly1/givdegree.h
+@@ -19,6 +19,8 @@
+ #ifndef __GIVARO_poly1degree_H
+ #define __GIVARO_poly1degree_H
+ 
++#include <cstdint>
++
+ #include <iostream>
+ 
+ namespace Givaro {

diff --git a/sci-libs/givaro/givaro-4.2.0.ebuild 
b/sci-libs/givaro/givaro-4.2.0.ebuild
new file mode 100644
index 000000000000..327d439ec727
--- /dev/null
+++ b/sci-libs/givaro/givaro-4.2.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="C++ library for arithmetic and algebraic computations"
+HOMEPAGE="https://casys.gricad-pages.univ-grenoble-alpes.fr/givaro/";
+SRC_URI="https://github.com/linbox-team/givaro/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="CeCILL-B"
+SLOT="0/9" # soname major
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       doc? (
+               app-text/doxygen[dot]
+               dev-texlive/texlive-bibtexextra
+               dev-texlive/texlive-fontsextra
+               dev-texlive/texlive-fontutils
+               dev-texlive/texlive-latex
+               dev-texlive/texlive-latexextra
+       )
+"
+DEPEND="dev-libs/gmp:0[cxx(+)]"
+RDEPEND="${DEPEND}"
+
+DOCS=( AUTHORS ChangeLog README.md )
+
+PATCHES=(
+       "${FILESDIR}/givaro-4.1.1-fix-pc-libdir.patch"
+       "${FILESDIR}/${P}-configure.ac-fix-a-bashism.patch"
+       "${FILESDIR}/${P}-cstdint.patch"
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --with-docdir="/usr/share/doc/${PF}/html" \
+               $(use_enable doc)
+}
+
+src_install() {
+       default
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to